libetonyek::IWORKXMLContextText Class Reference

`#include <IWORKXMLContextBase.h>`

Inheritance diagram for libetonyek::IWORKXMLContextText:

## Protected Member Functions
| IWORKXMLContextText (IWORKXMLParserState &)
IWORKXMLContextPtr_t | element (int token) override
| Create a context for parsing a child element.
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.

## Additional Inherited Members
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | attribute (int name, const char *value)=0
| Process an attribute.
virtual void | text (const char *value)=0
| Process textual content of an element.
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Constructor & Destructor Documentation

## ◆ IWORKXMLContextText()

libetonyek::IWORKXMLContextText::IWORKXMLContextText | ( | IWORKXMLParserState & |  | ) |
| explicit protected

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKXMLContextText::element | ( | int | name | ) |
| override protected virtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

The documentation for this class was generated from the following files:

- IWORKXMLContextBase.h
- IWORKXMLContextBase.cpp